## thruk-3.25.20251107.tar.gz

=== t/scenarios/Makefile ===
SHELL=bash
export TEST_AUTHOR=1
export THRUK_TEST_E2E=1

test:
	cd ../.. && PERL_DL_NONLAZY=1 /usr/bin/env perl "-MExtUtils::Command::MM" "-e" "test_harness(0)" $(shell pwd)/../600-scenarios.t

test_verbose:
	cd ../.. && PERL_DL_NONLAZY=1 /usr/bin/env perl "-MExtUtils::Command::MM" "-e" "test_harness(1)" $(shell pwd)/../600-scenarios.t

=== t/scenarios/agents-plugin/Makefile ===
include ../_common/Makefile.common

export THRUK_TEST_AUTH               = omdadmin:omd
export PLACK_TEST_EXTERNALSERVER_URI = http://127.0.0.3:60080/demo/

wait_start:
	for x in $$(seq $(STARTUPWAIT)); do \
	   if [ $$(docker compose logs | grep "failed=" | grep -v "failed=0" | wc -l) -gt 0 ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	   if [ $$(curl -s http://127.0.0.3:60080/demo/thruk/cgi-bin/login.cgi | grep -c loginuser) -gt 0 ]; then break; else sleep 1; fi; \
	   if [ $$x -eq $(STARTUPWAIT) ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	done

server:
	@echo -e "\n\n*** no server implemented, access via http://127.0.0.3:60080/demo/\n"

wait_start_failed_extra:
	-curl -kv http://127.0.0.3:60080/demo/thruk/cgi-bin/login.cgi

extra_prepare:
	@printf "%s:omd version: %s\n" "$(shell grep FROM omd/Dockerfile)" $$(docker compose exec $(DOCKER_COMPOSE_TTY) --user root omd sudo -iu demo omd version -b)

extra_test:
	docker compose exec $(DOCKER_COMPOSE_TTY) --user root omd sudo -iu demo /usr/local/bin/local_test.sh 0 /test/t/local/omd/*.t
	docker compose exec $(DOCKER_COMPOSE_TTY) --user root livestatus-backend sudo -iu demo /usr/local/bin/local_test.sh 0 /test/t/local/livestatus-backend/*.t

extra_test_verbose:
	docker compose exec $(DOCKER_COMPOSE_TTY) --user root omd sudo -iu demo /usr/local/bin/local_test.sh 1 /test/t/local/omd/*.t
	docker compose exec $(DOCKER_COMPOSE_TTY) --user root livestatus-backend sudo -iu demo /usr/local/bin/local_test.sh 1 /test/t/local/livestatus-backend/*.t

=== t/scenarios/auth_krb5/Makefile ===
include ../_common/Makefile.common

export PLACK_TEST_EXTERNALSERVER_URI = http://127.0.0.3:60080/demo/
export THRUK_TEST_AUTH_KEY           = ff8cde7bc92c261a260a180ef4d35c456853b70d955c3eb1c41098d0d561268b_1

wait_start:
	for x in $$(seq $(STARTUPWAIT)); do \
	   if [ $$(docker compose logs | grep "failed=" | grep -v "failed=0" | wc -l) -gt 0 ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	   if [ $$(curl -ks http://127.0.0.3:60080/demo/thruk/cgi-bin/remote.cgi | grep -c OK) -gt 0 ]; then break; else sleep 1; fi; \
	   if [ $$x -eq $(STARTUPWAIT) ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	done

wait_start_failed_extra:
	-curl -kv http://127.0.0.3:60080/demo/thruk/cgi-bin/remote.cgi

extra_test:
	docker compose exec $(DOCKER_COMPOSE_TTY) --user root omd sudo -iu demo /usr/local/bin/local_test.sh 0 $(filter-out $@,$(MAKECMDGOALS))

extra_test_verbose:
	docker compose exec $(DOCKER_COMPOSE_TTY) --user root omd sudo -iu demo /usr/local/bin/local_test.sh 1 $(filter-out $@,$(MAKECMDGOALS))

webvnc:
	@python3 -m webbrowser http://127.0.0.3:6901/?password=vncpassword

=== t/scenarios/auth_oauth/Makefile ===
include ../_common/Makefile.common

export PLACK_TEST_EXTERNALSERVER_URI = http://127.0.0.3:60080/demo/

wait_start:
	for x in $$(seq $(STARTUPWAIT)); do \
	   if [ $$(docker compose logs | grep "failed=" | grep -v "failed=0" | wc -l) -gt 0 ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	   if [ $$(curl -ks http://127.0.0.3:60080/demo/thruk/cgi-bin/remote.cgi | grep -c OK) -gt 0 ]; then break; else sleep 1; fi; \
	   if [ $$x -eq $(STARTUPWAIT) ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	done

=== t/scenarios/auth_ssl_client_cert/Makefile ===
include ../_common/Makefile.common

export PLACK_TEST_EXTERNALSERVER_URI = https://127.0.0.3:60443/demo/

wait_start:
	for x in $$(seq $(STARTUPWAIT)); do \
	   if [ $$(docker compose logs | grep "failed=" | grep -v "failed=0" | wc -l) -gt 0 ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	   if [ $$(curl -ks $(PLACK_TEST_EXTERNALSERVER_URI)thruk/cgi-bin/login.cgi | grep -c loginuser) -gt 0 ]; then break; else sleep 1; fi; \
	   if [ $$x -eq $(STARTUPWAIT) ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	done

wait_start_failed_extra:
	-curl -kv $(PLACK_TEST_EXTERNALSERVER_URI)thruk/cgi-bin/login.cgi

server:
	@echo -e "\n\n*** no server implemented, access via https://$(shell hostname):60443/demo/\n"

extra_test:
	docker compose exec $(DOCKER_COMPOSE_TTY) --user root site sudo -iu demo /usr/local/bin/local_test.sh 0 $(filter-out $@,$(MAKECMDGOALS))

extra_test_verbose:
	docker compose exec $(DOCKER_COMPOSE_TTY) --user root site sudo -iu demo /usr/local/bin/local_test.sh 1 $(filter-out $@,$(MAKECMDGOALS))

=== t/scenarios/cluster_e2e/Makefile ===
include ../_common/Makefile.common

export THRUK_TEST_AUTH               = omdadmin:omd
export PLACK_TEST_EXTERNALSERVER_URI = http://127.0.0.3:60080/demo/

wait_start:
	for x in $$(seq $(STARTUPWAIT)); do \
	   if [ $$(docker compose logs | grep "failed=" | grep -v "failed=0" | wc -l) -gt 0 ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	   docker compose exec $(DOCKER_COMPOSE_TTY) --user root thruk sudo -iu demo thruk cluster ping >/dev/null 2>&1; \
	   if curl --fail -q http://127.0.0.3:60080/demo/thruk/cgi-bin/remote.cgi?lb_ping >/dev/null 2>&1 && [ $$(docker compose exec $(DOCKER_COMPOSE_TTY) --user root thruk sudo -iu demo thruk cluster status | grep -c OK) -eq 3 ]; then break; else sleep 1; fi; \
	   if [ $$x -eq $(STARTUPWAIT) ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	done
	docker compose exec $(DOCKER_COMPOSE_TTY) --user root thruk sudo -iu demo thruk cluster ping
	docker compose exec $(DOCKER_COMPOSE_TTY) --user root thruk sudo -iu demo thruk cluster status
	docker compose exec $(DOCKER_COMPOSE_TTY) --user root thruk sudo -iu demo thruk r -m POST /thruk/cluster/heartbeat

wait_start_failed_extra:
	-curl -kv http://127.0.0.3:60080/demo/thruk/cgi-bin/login.cgi

extra_clean:
	-docker volume rm clustere2e_shared_etc
	-docker volume rm clustere2e_shared_var
	-docker volume rm cluster_e2e_shared_etc
	-docker volume rm cluster_e2e_shared_var

extra_test:
	docker compose exec $(DOCKER_COMPOSE_TTY) --user root thruk sudo -iu demo /usr/local/bin/local_test.sh 0 $(filter-out $@,$(MAKECMDGOALS))

extra_test_verbose:
	docker compose exec $(DOCKER_COMPOSE_TTY) --user root thruk sudo -iu demo /usr/local/bin/local_test.sh 1 $(filter-out $@,$(MAKECMDGOALS))

=== t/scenarios/cookie_auth_ldap_e2e/Makefile ===
include ../_common/Makefile.common


test_local:
	for x in $$(seq 200); do \
	   if [ $$($(THRUK) -l 2>&1 | grep -c ERROR) -eq 0 ]; then break; else sleep 1; fi; \
	done
	$(THRUK) -l
	$(THRUK) cache clean
	docker compose exec $(DOCKER_COMPOSE_TTY) --user root omd bash -ci /root/test.sh

test: test_local
	cd ../../.. && PERL_DL_NONLAZY=1 /usr/bin/env perl "-MExtUtils::Command::MM" "-e" "test_harness(0)" $(shell pwd)/../_common/t/999*.t

test_verbose: test_local
	cd ../../.. && PERL_DL_NONLAZY=1 /usr/bin/env perl "-MExtUtils::Command::MM" "-e" "test_harness(1)" $(shell pwd)/../_common/t/999*.t

=== t/scenarios/lmd_federation_multitier_e2e/Makefile ===
include ../_common/Makefile.common
EXPECTED_BACKENDS=12

pre_prepare:
	@type lmd > /dev/null 2>&1 ; if [ $$? -ne 0 ]; then echo "lmd not found in path: $$(lmd -V)"; exit 1; fi

extra_wait_start:
	for x in $$(seq $(STARTUPWAIT)); do \
	   if [ $$($(THRUK) selfcheck lmd 2>/dev/null | grep 'backends online' | grep -c -- '- $(EXPECTED_BACKENDS)') -eq 1 ]; then break; else sleep 1; fi; \
	   if [ $$x -eq $(STARTUPWAIT) ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	done
	$(THRUK) selfcheck lmd

wait_start_failed_extra:
	-$(THRUK) selfcheck lmd

extra_clean:
	-killall lmd

extra_test:
	docker compose exec $(DOCKER_COMPOSE_TTY) --user root tier1a sudo -iu demo /usr/local/bin/local_test.sh 0 $(filter-out $@,$(MAKECMDGOALS))

extra_test_verbose:
	docker compose exec $(DOCKER_COMPOSE_TTY) --user root tier1a sudo -iu demo /usr/local/bin/local_test.sh 1 $(filter-out $@,$(MAKECMDGOALS))

=== t/scenarios/pentest_arachni/Makefile ===
include ../_common/Makefile.common

wait_start:
	for x in $$(seq $(STARTUPWAIT)); do \
	   if [ $$(docker compose logs | grep "failed=" | grep -v "failed=0" | wc -l) -gt 0 ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	   if [ $$(curl -s http://pentest:pentest@127.0.0.3:60080/demo/thruk/cgi-bin/login.cgi | grep -c loginuser) -gt 0 ]; then break; else sleep 1; fi; \
	   if [ $$x -eq $(STARTUPWAIT) ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	done

wait_start_failed_extra:
	-curl -kv http://127.0.0.3:60080/demo/thruk/cgi-bin/login.cgi

scan: wait_start
	docker compose exec $(DOCKER_COMPOSE_TTY) --user root arachni /test/t/test.sh

#extra_clean:
#	rm -rf results/*

test:
test_verbose:

web:
	@python -m webbrowser http://localhost:9292/

=== t/scenarios/reports/Makefile ===
include ../_common/Makefile.common

export PLACK_TEST_EXTERNALSERVER_URI = http://127.0.0.3:60080/demo/

wait_start:
	for x in $$(seq $(STARTUPWAIT)); do \
	   if [ $$(docker compose logs | grep "failed=" | grep -v "failed=0" | wc -l) -gt 0 ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	   if [ $$(curl -s http://127.0.0.3:60080/demo/thruk/cgi-bin/login.cgi | grep -c loginuser) -gt 0 ]; then break; else sleep 1; fi; \
	   if [ $$x -eq $(STARTUPWAIT) ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	done

extra_test:
	docker compose exec $(DOCKER_COMPOSE_TTY) --user root omd sudo -iu demo /usr/local/bin/local_test.sh 0 /test/t/local/*.t
	docker compose exec $(DOCKER_COMPOSE_TTY) --user root omd sudo -iu root /usr/local/bin/local_test.sh 0 /test/t/local/*.troot

extra_test_verbose:
	docker compose exec $(DOCKER_COMPOSE_TTY) --user root omd sudo -iu demo /usr/local/bin/local_test.sh 1 /test/t/local/*.t
	docker compose exec $(DOCKER_COMPOSE_TTY) --user root omd sudo -iu root /usr/local/bin/local_test.sh 1 /test/t/local/*.troot

wait_start_failed_extra:
	-curl -kv http://127.0.0.3:60080/demo/thruk/cgi-bin/login.cgi

server:
	@echo -e "\n\n*** no server implemented, access via http://127.0.0.3:60080/demo/\n"

=== t/scenarios/rest_api/Makefile ===
include ../_common/Makefile.common

export THRUK_TEST_AUTH               = omdadmin:omd
export PLACK_TEST_EXTERNALSERVER_URI = http://127.0.0.3:60080/demo/

wait_start:
	for x in $$(seq $(STARTUPWAIT)); do \
	   if [ $$(docker compose logs | grep "failed=" | grep -v "failed=0" | wc -l) -gt 0 ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	   if [ $$(curl -s http://127.0.0.3:60080/demo/thruk/cgi-bin/login.cgi | grep -c loginuser) -gt 0 ]; then break; else sleep 1; fi; \
	   if [ $$x -eq $(STARTUPWAIT) ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	done

wait_start_failed_extra:
	-curl -kv http://127.0.0.3:60080/demo/thruk/cgi-bin/login.cgi

extra_test:
	docker compose exec $(DOCKER_COMPOSE_TTY) --user root omd sudo -iu demo /usr/local/bin/local_test.sh 0 $(filter-out $@,$(MAKECMDGOALS))

extra_test_verbose:
	docker compose exec $(DOCKER_COMPOSE_TTY) --user root omd sudo -iu demo /usr/local/bin/local_test.sh 1 $(filter-out $@,$(MAKECMDGOALS))

=== t/scenarios/umbrella_e2e/Makefile ===
include ../_common/Makefile.common

export THRUK_TEST_AUTH               = omdadmin:omd
export PLACK_TEST_EXTERNALSERVER_URI = https://127.0.0.3:60443/demo/
export PERL_LWP_SSL_VERIFY_HOSTNAME  = 0

wait_start:
	for x in $$(seq $(STARTUPWAIT)); do \
	   if [ $$(docker compose logs | grep "failed=" | grep -v "failed=0" | wc -l) -gt 0 ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	   docker compose exec $(DOCKER_COMPOSE_TTY) --user root umbrella_a sudo -iu demo thruk cluster ping >/dev/null 2>&1; \
	   if curl --fail -q http://127.0.0.3:60080/demo/thruk/cgi-bin/remote.cgi?lb_ping >/dev/null 2>&1 && [ $$(docker compose exec $(DOCKER_COMPOSE_TTY) --user root umbrella_a sudo -iu demo thruk cluster status | grep -c OK) -eq 2 ]; then break; else sleep 1; fi; \
	   if [ $$x -eq $(STARTUPWAIT) ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	done
	docker compose exec $(DOCKER_COMPOSE_TTY) --user root umbrella_a sudo -iu demo thruk cluster ping
	docker compose exec $(DOCKER_COMPOSE_TTY) --user root umbrella_a sudo -iu demo thruk cluster status
	docker compose exec $(DOCKER_COMPOSE_TTY) --user root umbrella_a sudo -iu demo thruk r -m POST /thruk/cluster/heartbeat
	docker compose exec $(DOCKER_COMPOSE_TTY) --user root umbrella_b sudo -iu demo thruk r -m POST /thruk/cluster/heartbeat


wait_start_failed_extra:
	-curl -kv http://127.0.0.3:60080/demo/thruk/cgi-bin/login.cgi

extra_clean:
	-docker volume rm umbrella_e2e_shared

extra_test:
	docker compose exec $(DOCKER_COMPOSE_TTY) --user root umbrella_a       sudo -iu demo /usr/local/bin/local_test.sh 0 /test/t/local/umbrella/*.t
	docker compose exec $(DOCKER_COMPOSE_TTY) --user root umbrella_backend sudo -iu demo /usr/local/bin/local_test.sh 0 /test/t/local/umbrella_backend/*.t

extra_test_verbose:
	docker compose exec $(DOCKER_COMPOSE_TTY) --user root umbrella_a       sudo -iu demo /usr/local/bin/local_test.sh 1 /test/t/local/umbrella/*.t
	docker compose exec $(DOCKER_COMPOSE_TTY) --user root umbrella_backend sudo -iu demo /usr/local/bin/local_test.sh 1 /test/t/local/umbrella_backend/*.t

server:
	@echo -e "\n\n*** no server implemented, access via https://127.0.0.3:60443/demo/\n"

=== debian/changelog ===
thruk (3.25.20251107+1) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Fri, 07 Nov 2025 01:21:47 +0100

thruk (3.24+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Thu, 02 Oct 2025 09:20:59 +0200

thruk (3.22.2+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Wed, 28 May 2025 17:14:52 +0200

thruk (3.22+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Sat, 12 Apr 2025 18:07:16 +0200

thruk (3.20.2+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Wed, 18 Dec 2024 17:43:12 +0100

thruk (3.20+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Sat, 16 Nov 2024 12:38:43 +0100

thruk (3.18+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Tue, 10 Sep 2024 22:30:42 +0200

thruk (3.16+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Fri, 12 Jul 2024 16:23:40 +0200

thruk (3.14.2+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Sat, 23 Mar 2024 19:21:42 +0100

thruk (3.14+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Tue, 19 Mar 2024 19:17:43 +0100

thruk (3.12+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Fri, 26 Jan 2024 18:41:41 +0100

thruk (3.10+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Sun, 05 Nov 2023 16:24:36 +0100

thruk (3.08.3+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Fri, 21 Jul 2023 13:43:48 +0200

thruk (3.08.2+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Sat, 08 Jul 2023 09:56:33 +0200

thruk (3.08+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Sat, 01 Jul 2023 11:29:53 +0200

thruk (3.06+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Wed, 24 May 2023 14:12:28 +0200

thruk (3.04+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Mon, 20 Feb 2023 09:28:22 +0100

thruk (3.02+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Thu, 15 Dec 2022 20:56:40 +0100

thruk (3.00+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Mon, 14 Nov 2022 14:50:18 +0100

thruk (2.48.2+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Fri, 01 Jul 2022 14:36:35 +0200

thruk (2.48+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Sat, 02 Apr 2022 17:04:55 +0200

thruk (2.46.3+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Tue, 25 Jan 2022 15:05:02 +0100

thruk (2.46.2+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Tue, 14 Dec 2021 14:01:33 +0100

thruk (2.46+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Wed, 03 Nov 2021 21:47:05 +0100

thruk (2.44.3+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Thu, 10 Jun 2021 19:22:59 +0200

thruk (2.44.2+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Fri, 04 Jun 2021 18:08:02 +0200

thruk (2.44.1+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Fri, 28 May 2021 17:55:35 +0200

thruk (2.42.2+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Mon, 26 Apr 2021 10:02:56 +0200

thruk (2.42.1+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Fri, 16 Apr 2021 21:33:25 +0200

thruk (2.40+2) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Mon, 14 Dec 2020 11:10:42 +0100

thruk (2.40+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Tue, 08 Dec 2020 14:55:48 +0100

thruk (2.38+2) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Tue, 27 Oct 2020 11:42:39 +0100

thruk (2.38+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Tue, 06 Oct 2020 09:53:31 +0200

thruk (2.36) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Thu, 09 Jul 2020 18:07:34 +0200

thruk (2.34-3) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Fri, 12 Jun 2020 18:44:27 +0200

thruk (2.34-2) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Wed, 20 May 2020 17:01:57 +0200

thruk (2.34) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Sat, 28 Mar 2020 09:52:41 +0100

thruk (2.32-2) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Fri, 25 Oct 2019 17:05:54 +0200

thruk (2.32) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Thu, 17 Oct 2019 11:27:22 +0200

thruk (2.30-3) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Tue, 11 Jun 2019 15:52:49 +0200

thruk (2.30-2) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Tue, 14 May 2019 11:55:56 +0200



=== debian/control ===
Source: thruk
Section: net
Priority: optional
Maintainer: Sven Nierlein <sven.nierlein@consol.de>
Build-Depends: debhelper (>= 7),
  libthruk (>=3.24),
  lsb-release,
  apache2,
  npm,
  perl,
  libmodule-install-perl,
  libtest-cmd-perl
Standards-Version: 3.7.3
Homepage: http://www.thruk.org
Bugs: https://github.com/sni/thruk/issues
Vcs-Git: git://github.com/sni/thruk.git

Package: thruk
Architecture: any
Depends: ${extra:Depends}, thruk-base (= ${source:Version})
Recommends: thruk-plugin-reporting (= ${source:Version})
Description: Monitoring Webinterface for Nagios/Naemon/Icinga and Shinken
 Thruk is a multibackend monitoring webinterface which currently
 supports Nagios, Naemon, Icinga and Shinken as backend using the Livestatus
 API. It is designed to be a 'dropin' replacement and covers almost
 all of the original features plus adds additional enhancements for
 large installations. This is the metapackage for complete Thruk setup.

Package: thruk-base
Architecture: any
Depends: ${perl:Depends}, ${extra:Depends},
         libthruk (>=3.24),
         apache2 | nginx-light | nginx-full | nginx-extras | nginx-core | nginx,
         libapache2-mod-fcgid | nginx-light | nginx-full | nginx-extras | nginx-core | nginx,
         cron-daemon, logrotate, liblwp-protocol-https-perl
Provides: thruk
Replaces: thruk (<< 2.00)
Breaks: thruk (<< 2.00)
Description: Monitoring Webinterface for Nagios/Icinga and Shinken
 Thruk is a multibackend monitoring webinterface which currently
 supports Nagios, Icinga and Shinken as backend using the Livestatus
 API. It is designed to be a 'dropin' replacement and covers almost
 all of the original features plus adds additional enhancements for
 large installations. This package contains the Thruk gui base files.



Package: thruk-plugin-reporting
Architecture: any
Depends: ${misc:Depends},
         thruk-base (= ${source:Version}),
         fonts-liberation
Description: This package contains the reporting addon for thruk useful for sla
 and event reporting.
